searchData={"items":[{"type":"module","title":"Panpipe","doc":"An Elixir wrapper around Pandoc.\n\nThe `Panpipe.Pandoc` module implements a wrapper around the Pandoc CLI.\n\nThe `Panpipe.AST.Node` behaviour defines the functions implemented by all\nnodes of a Panpipe AST.","ref":"Panpipe.html"},{"type":"function","title":"Panpipe.ast/2","doc":"Creates the Panpipe AST representation of some input.\n\nIt accepts the same arguments as `Panpipe.Pandoc.call/2` which will be called\nimplicitly to get the Pandoc AST representation.\n\nThe result is returned in an `ok` tuple.","ref":"Panpipe.html#ast/2"},{"type":"function","title":"Panpipe.ast!/2","doc":"Calls `ast/2` and delivers the result directly in success case, otherwise raises an error.","ref":"Panpipe.html#ast!/2"},{"type":"function","title":"Panpipe.ast_fragment/2","doc":"Creates an `Panpipe.AST.Node` of some input without the surrounding `Document` structure.","ref":"Panpipe.html#ast_fragment/2"},{"type":"function","title":"Panpipe.ast_fragment!/2","doc":"Calls `ast_fragment/2` and delivers the result directly in success case, otherwise raises an error.","ref":"Panpipe.html#ast_fragment!/2"},{"type":"function","title":"Panpipe.pandoc/2","doc":"","ref":"Panpipe.html#pandoc/2"},{"type":"function","title":"Panpipe.pandoc!/2","doc":"","ref":"Panpipe.html#pandoc!/2"},{"type":"function","title":"Panpipe.to_ansi/2","doc":"Calls `pandoc/1` with the option `to: :ansi` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_ansi/2"},{"type":"function","title":"Panpipe.to_asciidoc/2","doc":"Calls `pandoc/1` with the option `to: :asciidoc` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_asciidoc/2"},{"type":"function","title":"Panpipe.to_asciidoc_legacy/2","doc":"Calls `pandoc/1` with the option `to: :asciidoc_legacy` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_asciidoc_legacy/2"},{"type":"function","title":"Panpipe.to_asciidoctor/2","doc":"Calls `pandoc/1` with the option `to: :asciidoctor` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_asciidoctor/2"},{"type":"function","title":"Panpipe.to_beamer/2","doc":"Calls `pandoc/1` with the option `to: :beamer` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_beamer/2"},{"type":"function","title":"Panpipe.to_biblatex/2","doc":"Calls `pandoc/1` with the option `to: :biblatex` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_biblatex/2"},{"type":"function","title":"Panpipe.to_bibtex/2","doc":"Calls `pandoc/1` with the option `to: :bibtex` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_bibtex/2"},{"type":"function","title":"Panpipe.to_chunkedhtml/2","doc":"Calls `pandoc/1` with the option `to: :chunkedhtml` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_chunkedhtml/2"},{"type":"function","title":"Panpipe.to_commonmark/2","doc":"Calls `pandoc/1` with the option `to: :commonmark` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_commonmark/2"},{"type":"function","title":"Panpipe.to_commonmark_x/2","doc":"Calls `pandoc/1` with the option `to: :commonmark_x` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_commonmark_x/2"},{"type":"function","title":"Panpipe.to_context/2","doc":"Calls `pandoc/1` with the option `to: :context` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_context/2"},{"type":"function","title":"Panpipe.to_csljson/2","doc":"Calls `pandoc/1` with the option `to: :csljson` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_csljson/2"},{"type":"function","title":"Panpipe.to_djot/2","doc":"Calls `pandoc/1` with the option `to: :djot` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_djot/2"},{"type":"function","title":"Panpipe.to_docbook4/2","doc":"Calls `pandoc/1` with the option `to: :docbook4` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_docbook4/2"},{"type":"function","title":"Panpipe.to_docbook5/2","doc":"Calls `pandoc/1` with the option `to: :docbook5` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_docbook5/2"},{"type":"function","title":"Panpipe.to_docbook/2","doc":"Calls `pandoc/1` with the option `to: :docbook` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_docbook/2"},{"type":"function","title":"Panpipe.to_docx/2","doc":"Calls `pandoc/1` with the option `to: :docx` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_docx/2"},{"type":"function","title":"Panpipe.to_dokuwiki/2","doc":"Calls `pandoc/1` with the option `to: :dokuwiki` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_dokuwiki/2"},{"type":"function","title":"Panpipe.to_dzslides/2","doc":"Calls `pandoc/1` with the option `to: :dzslides` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_dzslides/2"},{"type":"function","title":"Panpipe.to_epub2/2","doc":"Calls `pandoc/1` with the option `to: :epub2` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_epub2/2"},{"type":"function","title":"Panpipe.to_epub3/2","doc":"Calls `pandoc/1` with the option `to: :epub3` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_epub3/2"},{"type":"function","title":"Panpipe.to_epub/2","doc":"Calls `pandoc/1` with the option `to: :epub` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_epub/2"},{"type":"function","title":"Panpipe.to_fb2/2","doc":"Calls `pandoc/1` with the option `to: :fb2` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_fb2/2"},{"type":"function","title":"Panpipe.to_gfm/2","doc":"Calls `pandoc/1` with the option `to: :gfm` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_gfm/2"},{"type":"function","title":"Panpipe.to_haddock/2","doc":"Calls `pandoc/1` with the option `to: :haddock` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_haddock/2"},{"type":"function","title":"Panpipe.to_html4/2","doc":"Calls `pandoc/1` with the option `to: :html4` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_html4/2"},{"type":"function","title":"Panpipe.to_html5/2","doc":"Calls `pandoc/1` with the option `to: :html5` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_html5/2"},{"type":"function","title":"Panpipe.to_html/2","doc":"Calls `pandoc/1` with the option `to: :html` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_html/2"},{"type":"function","title":"Panpipe.to_icml/2","doc":"Calls `pandoc/1` with the option `to: :icml` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_icml/2"},{"type":"function","title":"Panpipe.to_ipynb/2","doc":"Calls `pandoc/1` with the option `to: :ipynb` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_ipynb/2"},{"type":"function","title":"Panpipe.to_jats/2","doc":"Calls `pandoc/1` with the option `to: :jats` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_jats/2"},{"type":"function","title":"Panpipe.to_jats_archiving/2","doc":"Calls `pandoc/1` with the option `to: :jats_archiving` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_jats_archiving/2"},{"type":"function","title":"Panpipe.to_jats_articleauthoring/2","doc":"Calls `pandoc/1` with the option `to: :jats_articleauthoring` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_jats_articleauthoring/2"},{"type":"function","title":"Panpipe.to_jats_publishing/2","doc":"Calls `pandoc/1` with the option `to: :jats_publishing` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_jats_publishing/2"},{"type":"function","title":"Panpipe.to_jira/2","doc":"Calls `pandoc/1` with the option `to: :jira` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_jira/2"},{"type":"function","title":"Panpipe.to_json/2","doc":"Calls `pandoc/1` with the option `to: :json` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_json/2"},{"type":"function","title":"Panpipe.to_latex/2","doc":"Calls `pandoc/1` with the option `to: :latex` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_latex/2"},{"type":"function","title":"Panpipe.to_man/2","doc":"Calls `pandoc/1` with the option `to: :man` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_man/2"},{"type":"function","title":"Panpipe.to_markdown/2","doc":"Calls `pandoc/1` with the option `to: :markdown` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markdown/2"},{"type":"function","title":"Panpipe.to_markdown_github/2","doc":"Calls `pandoc/1` with the option `to: :markdown_github` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markdown_github/2"},{"type":"function","title":"Panpipe.to_markdown_mmd/2","doc":"Calls `pandoc/1` with the option `to: :markdown_mmd` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markdown_mmd/2"},{"type":"function","title":"Panpipe.to_markdown_phpextra/2","doc":"Calls `pandoc/1` with the option `to: :markdown_phpextra` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markdown_phpextra/2"},{"type":"function","title":"Panpipe.to_markdown_strict/2","doc":"Calls `pandoc/1` with the option `to: :markdown_strict` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markdown_strict/2"},{"type":"function","title":"Panpipe.to_markua/2","doc":"Calls `pandoc/1` with the option `to: :markua` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_markua/2"},{"type":"function","title":"Panpipe.to_mediawiki/2","doc":"Calls `pandoc/1` with the option `to: :mediawiki` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_mediawiki/2"},{"type":"function","title":"Panpipe.to_ms/2","doc":"Calls `pandoc/1` with the option `to: :ms` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_ms/2"},{"type":"function","title":"Panpipe.to_muse/2","doc":"Calls `pandoc/1` with the option `to: :muse` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_muse/2"},{"type":"function","title":"Panpipe.to_native/2","doc":"Calls `pandoc/1` with the option `to: :native` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_native/2"},{"type":"function","title":"Panpipe.to_odt/2","doc":"Calls `pandoc/1` with the option `to: :odt` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_odt/2"},{"type":"function","title":"Panpipe.to_opendocument/2","doc":"Calls `pandoc/1` with the option `to: :opendocument` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_opendocument/2"},{"type":"function","title":"Panpipe.to_opml/2","doc":"Calls `pandoc/1` with the option `to: :opml` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_opml/2"},{"type":"function","title":"Panpipe.to_org/2","doc":"Calls `pandoc/1` with the option `to: :org` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_org/2"},{"type":"function","title":"Panpipe.to_pdf/2","doc":"Calls `pandoc/1` with the option `to: :pdf` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_pdf/2"},{"type":"function","title":"Panpipe.to_plain/2","doc":"Calls `pandoc/1` with the option `to: :plain` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_plain/2"},{"type":"function","title":"Panpipe.to_pptx/2","doc":"Calls `pandoc/1` with the option `to: :pptx` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_pptx/2"},{"type":"function","title":"Panpipe.to_revealjs/2","doc":"Calls `pandoc/1` with the option `to: :revealjs` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_revealjs/2"},{"type":"function","title":"Panpipe.to_rst/2","doc":"Calls `pandoc/1` with the option `to: :rst` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_rst/2"},{"type":"function","title":"Panpipe.to_rtf/2","doc":"Calls `pandoc/1` with the option `to: :rtf` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_rtf/2"},{"type":"function","title":"Panpipe.to_s5/2","doc":"Calls `pandoc/1` with the option `to: :s5` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_s5/2"},{"type":"function","title":"Panpipe.to_slideous/2","doc":"Calls `pandoc/1` with the option `to: :slideous` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_slideous/2"},{"type":"function","title":"Panpipe.to_slidy/2","doc":"Calls `pandoc/1` with the option `to: :slidy` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_slidy/2"},{"type":"function","title":"Panpipe.to_tei/2","doc":"Calls `pandoc/1` with the option `to: :tei` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_tei/2"},{"type":"function","title":"Panpipe.to_texinfo/2","doc":"Calls `pandoc/1` with the option `to: :texinfo` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_texinfo/2"},{"type":"function","title":"Panpipe.to_textile/2","doc":"Calls `pandoc/1` with the option `to: :textile` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_textile/2"},{"type":"function","title":"Panpipe.to_typst/2","doc":"Calls `pandoc/1` with the option `to: :typst` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_typst/2"},{"type":"function","title":"Panpipe.to_xwiki/2","doc":"Calls `pandoc/1` with the option `to: :xwiki` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_xwiki/2"},{"type":"function","title":"Panpipe.to_zimwiki/2","doc":"Calls `pandoc/1` with the option `to: :zimwiki` automatically set.\n\nIt also accepts `Panpipe.AST.Node`s. `pandoc/1` will then be called with\nPandoc AST form of the node.\n\nBy default, the converted output by Pandoc always ends with a newline. This\ncan not be what you want, esp. when you convert small fragments by passing\nnodes directly. For this reason Panpipe will remove this newline by default\nfor inline nodes, but keeps them on block nodes. You can control whether\nthey should be removed manually with the `remove_trailing_newline` option.\n\nTo enable or disable extensions for the target format, you can use the\nkeyword options `:enable` and `:disable` with a list of extension atom names.\n\nNote: This function only works with directly passed strings or nodes. If you\nwant to convert a file using the `input` option, you'll have to read the file\nfirst manually or use `pandoc/1` directly.","ref":"Panpipe.html#to_zimwiki/2"},{"type":"function","title":"Panpipe.transform/2","doc":"","ref":"Panpipe.html#transform/2"},{"type":"module","title":"Panpipe.AST.Attr","doc":"","ref":"Panpipe.AST.Attr.html"},{"type":"function","title":"Panpipe.AST.Attr.add_class/2","doc":"","ref":"Panpipe.AST.Attr.html#add_class/2"},{"type":"function","title":"Panpipe.AST.Attr.add_key_value_pairs/2","doc":"","ref":"Panpipe.AST.Attr.html#add_key_value_pairs/2"},{"type":"function","title":"Panpipe.AST.Attr.from_pandoc/1","doc":"","ref":"Panpipe.AST.Attr.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.Attr.new/0","doc":"","ref":"Panpipe.AST.Attr.html#new/0"},{"type":"function","title":"Panpipe.AST.Attr.set_identifier/2","doc":"","ref":"Panpipe.AST.Attr.html#set_identifier/2"},{"type":"function","title":"Panpipe.AST.Attr.to_pandoc/1","doc":"","ref":"Panpipe.AST.Attr.html#to_pandoc/1"},{"type":"module","title":"Panpipe.AST.BlockQuote","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `BlockQuote`.","ref":"Panpipe.AST.BlockQuote.html"},{"type":"function","title":"Panpipe.AST.BlockQuote.block?/0","doc":"","ref":"Panpipe.AST.BlockQuote.html#block?/0"},{"type":"function","title":"Panpipe.AST.BlockQuote.child_type/0","doc":"","ref":"Panpipe.AST.BlockQuote.html#child_type/0"},{"type":"function","title":"Panpipe.AST.BlockQuote.children/1","doc":"","ref":"Panpipe.AST.BlockQuote.html#children/1"},{"type":"function","title":"Panpipe.AST.BlockQuote.inline?/0","doc":"","ref":"Panpipe.AST.BlockQuote.html#inline?/0"},{"type":"type","title":"Panpipe.AST.BlockQuote.t/0","doc":"","ref":"Panpipe.AST.BlockQuote.html#t:t/0"},{"type":"function","title":"Panpipe.AST.BlockQuote.to_pandoc/1","doc":"","ref":"Panpipe.AST.BlockQuote.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.BlockQuote.transform/2","doc":"","ref":"Panpipe.AST.BlockQuote.html#transform/2"},{"type":"module","title":"Panpipe.AST.BulletList","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `BulletList`.\n\nThe list elements are stored as `Panpipe.AST.ListElement` structs.","ref":"Panpipe.AST.BulletList.html"},{"type":"function","title":"Panpipe.AST.BulletList.block?/0","doc":"","ref":"Panpipe.AST.BulletList.html#block?/0"},{"type":"function","title":"Panpipe.AST.BulletList.child_type/0","doc":"","ref":"Panpipe.AST.BulletList.html#child_type/0"},{"type":"function","title":"Panpipe.AST.BulletList.children/1","doc":"","ref":"Panpipe.AST.BulletList.html#children/1"},{"type":"function","title":"Panpipe.AST.BulletList.inline?/0","doc":"","ref":"Panpipe.AST.BulletList.html#inline?/0"},{"type":"type","title":"Panpipe.AST.BulletList.t/0","doc":"","ref":"Panpipe.AST.BulletList.html#t:t/0"},{"type":"function","title":"Panpipe.AST.BulletList.to_pandoc/1","doc":"","ref":"Panpipe.AST.BulletList.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.BulletList.transform/2","doc":"","ref":"Panpipe.AST.BulletList.html#transform/2"},{"type":"module","title":"Panpipe.AST.Caption","doc":"","ref":"Panpipe.AST.Caption.html"},{"type":"function","title":"Panpipe.AST.Caption.from_pandoc/1","doc":"","ref":"Panpipe.AST.Caption.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.Caption.to_pandoc/1","doc":"","ref":"Panpipe.AST.Caption.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Caption.transform/3","doc":"","ref":"Panpipe.AST.Caption.html#transform/3"},{"type":"module","title":"Panpipe.AST.Cell","doc":"","ref":"Panpipe.AST.Cell.html"},{"type":"function","title":"Panpipe.AST.Cell.children/1","doc":"","ref":"Panpipe.AST.Cell.html#children/1"},{"type":"function","title":"Panpipe.AST.Cell.from_pandoc/1","doc":"","ref":"Panpipe.AST.Cell.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.Cell.to_pandoc/1","doc":"","ref":"Panpipe.AST.Cell.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Cell.transform/3","doc":"","ref":"Panpipe.AST.Cell.html#transform/3"},{"type":"module","title":"Panpipe.AST.Cite","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Cite`.\n\nThe `citations` are kept in `Panpipe.AST.Cite.Citation` structs.","ref":"Panpipe.AST.Cite.html"},{"type":"function","title":"Panpipe.AST.Cite.block?/0","doc":"","ref":"Panpipe.AST.Cite.html#block?/0"},{"type":"function","title":"Panpipe.AST.Cite.child_type/0","doc":"","ref":"Panpipe.AST.Cite.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Cite.children/1","doc":"","ref":"Panpipe.AST.Cite.html#children/1"},{"type":"function","title":"Panpipe.AST.Cite.inline?/0","doc":"","ref":"Panpipe.AST.Cite.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Cite.t/0","doc":"","ref":"Panpipe.AST.Cite.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Cite.to_pandoc/1","doc":"","ref":"Panpipe.AST.Cite.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Cite.transform/2","doc":"","ref":"Panpipe.AST.Cite.html#transform/2"},{"type":"module","title":"Panpipe.AST.Cite.Citation","doc":"","ref":"Panpipe.AST.Cite.Citation.html"},{"type":"function","title":"Panpipe.AST.Cite.Citation.from_pandoc/1","doc":"","ref":"Panpipe.AST.Cite.Citation.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.Cite.Citation.modes/0","doc":"The possible values for the `mode` field.","ref":"Panpipe.AST.Cite.Citation.html#modes/0"},{"type":"function","title":"Panpipe.AST.Cite.Citation.to_pandoc/1","doc":"","ref":"Panpipe.AST.Cite.Citation.html#to_pandoc/1"},{"type":"module","title":"Panpipe.AST.Code","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Code`.","ref":"Panpipe.AST.Code.html"},{"type":"function","title":"Panpipe.AST.Code.block?/0","doc":"","ref":"Panpipe.AST.Code.html#block?/0"},{"type":"function","title":"Panpipe.AST.Code.child_type/0","doc":"","ref":"Panpipe.AST.Code.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Code.children/1","doc":"","ref":"Panpipe.AST.Code.html#children/1"},{"type":"function","title":"Panpipe.AST.Code.inline?/0","doc":"","ref":"Panpipe.AST.Code.html#inline?/0"},{"type":"function","title":"Panpipe.AST.Code.language/1","doc":"","ref":"Panpipe.AST.Code.html#language/1"},{"type":"type","title":"Panpipe.AST.Code.t/0","doc":"","ref":"Panpipe.AST.Code.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Code.to_pandoc/1","doc":"","ref":"Panpipe.AST.Code.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Code.transform/2","doc":"","ref":"Panpipe.AST.Code.html#transform/2"},{"type":"module","title":"Panpipe.AST.CodeBlock","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `CodeBlock`.","ref":"Panpipe.AST.CodeBlock.html"},{"type":"function","title":"Panpipe.AST.CodeBlock.block?/0","doc":"","ref":"Panpipe.AST.CodeBlock.html#block?/0"},{"type":"function","title":"Panpipe.AST.CodeBlock.child_type/0","doc":"","ref":"Panpipe.AST.CodeBlock.html#child_type/0"},{"type":"function","title":"Panpipe.AST.CodeBlock.children/1","doc":"","ref":"Panpipe.AST.CodeBlock.html#children/1"},{"type":"function","title":"Panpipe.AST.CodeBlock.inline?/0","doc":"","ref":"Panpipe.AST.CodeBlock.html#inline?/0"},{"type":"function","title":"Panpipe.AST.CodeBlock.language/1","doc":"","ref":"Panpipe.AST.CodeBlock.html#language/1"},{"type":"type","title":"Panpipe.AST.CodeBlock.t/0","doc":"","ref":"Panpipe.AST.CodeBlock.html#t:t/0"},{"type":"function","title":"Panpipe.AST.CodeBlock.to_pandoc/1","doc":"","ref":"Panpipe.AST.CodeBlock.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.CodeBlock.transform/2","doc":"","ref":"Panpipe.AST.CodeBlock.html#transform/2"},{"type":"module","title":"Panpipe.AST.ColSpec","doc":"","ref":"Panpipe.AST.ColSpec.html"},{"type":"function","title":"Panpipe.AST.ColSpec.alignments/0","doc":"The possible values for the `alignment` field.","ref":"Panpipe.AST.ColSpec.html#alignments/0"},{"type":"function","title":"Panpipe.AST.ColSpec.from_pandoc/1","doc":"","ref":"Panpipe.AST.ColSpec.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.ColSpec.from_pandoc_col_width/1","doc":"","ref":"Panpipe.AST.ColSpec.html#from_pandoc_col_width/1"},{"type":"function","title":"Panpipe.AST.ColSpec.to_pandoc/1","doc":"","ref":"Panpipe.AST.ColSpec.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.ColSpec.to_pandoc_col_width/1","doc":"","ref":"Panpipe.AST.ColSpec.html#to_pandoc_col_width/1"},{"type":"module","title":"Panpipe.AST.DefinitionList","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `DefinitionList`.","ref":"Panpipe.AST.DefinitionList.html"},{"type":"function","title":"Panpipe.AST.DefinitionList.block?/0","doc":"","ref":"Panpipe.AST.DefinitionList.html#block?/0"},{"type":"function","title":"Panpipe.AST.DefinitionList.child_type/0","doc":"","ref":"Panpipe.AST.DefinitionList.html#child_type/0"},{"type":"function","title":"Panpipe.AST.DefinitionList.children/1","doc":"","ref":"Panpipe.AST.DefinitionList.html#children/1"},{"type":"function","title":"Panpipe.AST.DefinitionList.inline?/0","doc":"","ref":"Panpipe.AST.DefinitionList.html#inline?/0"},{"type":"type","title":"Panpipe.AST.DefinitionList.t/0","doc":"","ref":"Panpipe.AST.DefinitionList.html#t:t/0"},{"type":"function","title":"Panpipe.AST.DefinitionList.to_pandoc/1","doc":"","ref":"Panpipe.AST.DefinitionList.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.DefinitionList.transform/2","doc":"","ref":"Panpipe.AST.DefinitionList.html#transform/2"},{"type":"module","title":"Panpipe.AST.Div","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Div`.","ref":"Panpipe.AST.Div.html"},{"type":"function","title":"Panpipe.AST.Div.block?/0","doc":"","ref":"Panpipe.AST.Div.html#block?/0"},{"type":"function","title":"Panpipe.AST.Div.child_type/0","doc":"","ref":"Panpipe.AST.Div.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Div.children/1","doc":"","ref":"Panpipe.AST.Div.html#children/1"},{"type":"function","title":"Panpipe.AST.Div.inline?/0","doc":"","ref":"Panpipe.AST.Div.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Div.t/0","doc":"","ref":"Panpipe.AST.Div.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Div.to_pandoc/1","doc":"","ref":"Panpipe.AST.Div.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Div.transform/2","doc":"","ref":"Panpipe.AST.Div.html#transform/2"},{"type":"module","title":"Panpipe.AST.Emph","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Emph`.","ref":"Panpipe.AST.Emph.html"},{"type":"function","title":"Panpipe.AST.Emph.block?/0","doc":"","ref":"Panpipe.AST.Emph.html#block?/0"},{"type":"function","title":"Panpipe.AST.Emph.child_type/0","doc":"","ref":"Panpipe.AST.Emph.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Emph.children/1","doc":"","ref":"Panpipe.AST.Emph.html#children/1"},{"type":"function","title":"Panpipe.AST.Emph.inline?/0","doc":"","ref":"Panpipe.AST.Emph.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Emph.t/0","doc":"","ref":"Panpipe.AST.Emph.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Emph.to_pandoc/1","doc":"","ref":"Panpipe.AST.Emph.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Emph.transform/2","doc":"","ref":"Panpipe.AST.Emph.html#transform/2"},{"type":"module","title":"Panpipe.AST.Figure","doc":"A `Panpipe.AST.Figure` for nodes of the Pandoc AST with the type `Figure`.\nthe `Panpipe.AST.transform/2` function.","ref":"Panpipe.AST.Figure.html"},{"type":"function","title":"Panpipe.AST.Figure.block?/0","doc":"","ref":"Panpipe.AST.Figure.html#block?/0"},{"type":"function","title":"Panpipe.AST.Figure.child_type/0","doc":"","ref":"Panpipe.AST.Figure.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Figure.children/1","doc":"","ref":"Panpipe.AST.Figure.html#children/1"},{"type":"function","title":"Panpipe.AST.Figure.inline?/0","doc":"","ref":"Panpipe.AST.Figure.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Figure.t/0","doc":"","ref":"Panpipe.AST.Figure.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Figure.to_pandoc/1","doc":"","ref":"Panpipe.AST.Figure.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Figure.transform/2","doc":"","ref":"Panpipe.AST.Figure.html#transform/2"},{"type":"module","title":"Panpipe.AST.Header","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Header`.","ref":"Panpipe.AST.Header.html"},{"type":"function","title":"Panpipe.AST.Header.block?/0","doc":"","ref":"Panpipe.AST.Header.html#block?/0"},{"type":"function","title":"Panpipe.AST.Header.child_type/0","doc":"","ref":"Panpipe.AST.Header.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Header.children/1","doc":"","ref":"Panpipe.AST.Header.html#children/1"},{"type":"function","title":"Panpipe.AST.Header.inline?/0","doc":"","ref":"Panpipe.AST.Header.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Header.t/0","doc":"","ref":"Panpipe.AST.Header.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Header.to_pandoc/1","doc":"","ref":"Panpipe.AST.Header.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Header.transform/2","doc":"","ref":"Panpipe.AST.Header.html#transform/2"},{"type":"module","title":"Panpipe.AST.HorizontalRule","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `HorizontalRule`.","ref":"Panpipe.AST.HorizontalRule.html"},{"type":"function","title":"Panpipe.AST.HorizontalRule.block?/0","doc":"","ref":"Panpipe.AST.HorizontalRule.html#block?/0"},{"type":"function","title":"Panpipe.AST.HorizontalRule.child_type/0","doc":"","ref":"Panpipe.AST.HorizontalRule.html#child_type/0"},{"type":"function","title":"Panpipe.AST.HorizontalRule.children/1","doc":"","ref":"Panpipe.AST.HorizontalRule.html#children/1"},{"type":"function","title":"Panpipe.AST.HorizontalRule.inline?/0","doc":"","ref":"Panpipe.AST.HorizontalRule.html#inline?/0"},{"type":"type","title":"Panpipe.AST.HorizontalRule.t/0","doc":"","ref":"Panpipe.AST.HorizontalRule.html#t:t/0"},{"type":"function","title":"Panpipe.AST.HorizontalRule.to_pandoc/1","doc":"","ref":"Panpipe.AST.HorizontalRule.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.HorizontalRule.transform/2","doc":"","ref":"Panpipe.AST.HorizontalRule.html#transform/2"},{"type":"module","title":"Panpipe.AST.Image","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Image`.","ref":"Panpipe.AST.Image.html"},{"type":"function","title":"Panpipe.AST.Image.block?/0","doc":"","ref":"Panpipe.AST.Image.html#block?/0"},{"type":"function","title":"Panpipe.AST.Image.child_type/0","doc":"","ref":"Panpipe.AST.Image.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Image.children/1","doc":"","ref":"Panpipe.AST.Image.html#children/1"},{"type":"function","title":"Panpipe.AST.Image.inline?/0","doc":"","ref":"Panpipe.AST.Image.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Image.t/0","doc":"","ref":"Panpipe.AST.Image.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Image.to_pandoc/1","doc":"","ref":"Panpipe.AST.Image.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Image.transform/2","doc":"","ref":"Panpipe.AST.Image.html#transform/2"},{"type":"module","title":"Panpipe.AST.LineBlock","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `LineBlock`.","ref":"Panpipe.AST.LineBlock.html"},{"type":"function","title":"Panpipe.AST.LineBlock.block?/0","doc":"","ref":"Panpipe.AST.LineBlock.html#block?/0"},{"type":"function","title":"Panpipe.AST.LineBlock.child_type/0","doc":"","ref":"Panpipe.AST.LineBlock.html#child_type/0"},{"type":"function","title":"Panpipe.AST.LineBlock.children/1","doc":"","ref":"Panpipe.AST.LineBlock.html#children/1"},{"type":"function","title":"Panpipe.AST.LineBlock.inline?/0","doc":"","ref":"Panpipe.AST.LineBlock.html#inline?/0"},{"type":"type","title":"Panpipe.AST.LineBlock.t/0","doc":"","ref":"Panpipe.AST.LineBlock.html#t:t/0"},{"type":"function","title":"Panpipe.AST.LineBlock.to_pandoc/1","doc":"","ref":"Panpipe.AST.LineBlock.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.LineBlock.transform/2","doc":"","ref":"Panpipe.AST.LineBlock.html#transform/2"},{"type":"module","title":"Panpipe.AST.LineBreak","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `LineBreak`.","ref":"Panpipe.AST.LineBreak.html"},{"type":"function","title":"Panpipe.AST.LineBreak.block?/0","doc":"","ref":"Panpipe.AST.LineBreak.html#block?/0"},{"type":"function","title":"Panpipe.AST.LineBreak.child_type/0","doc":"","ref":"Panpipe.AST.LineBreak.html#child_type/0"},{"type":"function","title":"Panpipe.AST.LineBreak.children/1","doc":"","ref":"Panpipe.AST.LineBreak.html#children/1"},{"type":"function","title":"Panpipe.AST.LineBreak.inline?/0","doc":"","ref":"Panpipe.AST.LineBreak.html#inline?/0"},{"type":"type","title":"Panpipe.AST.LineBreak.t/0","doc":"","ref":"Panpipe.AST.LineBreak.html#t:t/0"},{"type":"function","title":"Panpipe.AST.LineBreak.to_pandoc/1","doc":"","ref":"Panpipe.AST.LineBreak.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.LineBreak.transform/2","doc":"","ref":"Panpipe.AST.LineBreak.html#transform/2"},{"type":"module","title":"Panpipe.AST.Link","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Link`.","ref":"Panpipe.AST.Link.html"},{"type":"function","title":"Panpipe.AST.Link.block?/0","doc":"","ref":"Panpipe.AST.Link.html#block?/0"},{"type":"function","title":"Panpipe.AST.Link.child_type/0","doc":"","ref":"Panpipe.AST.Link.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Link.children/1","doc":"","ref":"Panpipe.AST.Link.html#children/1"},{"type":"function","title":"Panpipe.AST.Link.inline?/0","doc":"","ref":"Panpipe.AST.Link.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Link.t/0","doc":"","ref":"Panpipe.AST.Link.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Link.to_pandoc/1","doc":"","ref":"Panpipe.AST.Link.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Link.transform/2","doc":"","ref":"Panpipe.AST.Link.html#transform/2"},{"type":"module","title":"Panpipe.AST.ListAttributes","doc":"","ref":"Panpipe.AST.ListAttributes.html"},{"type":"function","title":"Panpipe.AST.ListAttributes.delimiters/0","doc":"The possible values for the `number_delimiter` field.","ref":"Panpipe.AST.ListAttributes.html#delimiters/0"},{"type":"function","title":"Panpipe.AST.ListAttributes.from_pandoc/1","doc":"","ref":"Panpipe.AST.ListAttributes.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.ListAttributes.styles/0","doc":"The possible values for the `number_style` field.","ref":"Panpipe.AST.ListAttributes.html#styles/0"},{"type":"function","title":"Panpipe.AST.ListAttributes.to_pandoc/1","doc":"","ref":"Panpipe.AST.ListAttributes.html#to_pandoc/1"},{"type":"module","title":"Panpipe.AST.ListElement","doc":"","ref":"Panpipe.AST.ListElement.html"},{"type":"function","title":"Panpipe.AST.ListElement.block?/0","doc":"","ref":"Panpipe.AST.ListElement.html#block?/0"},{"type":"function","title":"Panpipe.AST.ListElement.child_type/0","doc":"","ref":"Panpipe.AST.ListElement.html#child_type/0"},{"type":"function","title":"Panpipe.AST.ListElement.children/1","doc":"","ref":"Panpipe.AST.ListElement.html#children/1"},{"type":"function","title":"Panpipe.AST.ListElement.from_pandoc/1","doc":"","ref":"Panpipe.AST.ListElement.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.ListElement.inline?/0","doc":"","ref":"Panpipe.AST.ListElement.html#inline?/0"},{"type":"type","title":"Panpipe.AST.ListElement.t/0","doc":"","ref":"Panpipe.AST.ListElement.html#t:t/0"},{"type":"function","title":"Panpipe.AST.ListElement.to_pandoc/1","doc":"","ref":"Panpipe.AST.ListElement.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.ListElement.transform/2","doc":"","ref":"Panpipe.AST.ListElement.html#transform/2"},{"type":"module","title":"Panpipe.AST.Math","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Math`.","ref":"Panpipe.AST.Math.html"},{"type":"function","title":"Panpipe.AST.Math.block?/0","doc":"","ref":"Panpipe.AST.Math.html#block?/0"},{"type":"function","title":"Panpipe.AST.Math.child_type/0","doc":"","ref":"Panpipe.AST.Math.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Math.children/1","doc":"","ref":"Panpipe.AST.Math.html#children/1"},{"type":"function","title":"Panpipe.AST.Math.inline?/0","doc":"","ref":"Panpipe.AST.Math.html#inline?/0"},{"type":"function","title":"Panpipe.AST.Math.math_types/0","doc":"The possible values for the `type` field.","ref":"Panpipe.AST.Math.html#math_types/0"},{"type":"type","title":"Panpipe.AST.Math.t/0","doc":"","ref":"Panpipe.AST.Math.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Math.to_pandoc/1","doc":"","ref":"Panpipe.AST.Math.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Math.transform/2","doc":"","ref":"Panpipe.AST.Math.html#transform/2"},{"type":"behaviour","title":"Panpipe.AST.Node","doc":"Behaviour implemented by all nodes of the Panpipe AST.\n\nThe Panpipe AST is a Elixir representation of the\n[Pandoc data structure for a format-neutral representation of documents](http://hackage.haskell.org/package/pandoc-types-1.17.5.4/docs/Text-Pandoc-Definition.html).\nEach of the nodes of this AST data structure is a struct implementing the `Panpipe.AST.Node`\nbehaviour and directly matches the respective Pandoc element.\n\nEach node type implements Elixir's `Enumerable` protocol as a pre-order tree\ntraversal.","ref":"Panpipe.AST.Node.html"},{"type":"callback","title":"Panpipe.AST.Node.block?/0","doc":"Returns if the AST node module represents a block element.","ref":"Panpipe.AST.Node.html#c:block?/0"},{"type":"function","title":"Panpipe.AST.Node.block?/1","doc":"Returns if the given AST `node` is a block element.","ref":"Panpipe.AST.Node.html#block?/1"},{"type":"callback","title":"Panpipe.AST.Node.child_type/0","doc":"Returns the type of child expected for a AST node.\n\nThis function returns either `:block` or `:inline`.","ref":"Panpipe.AST.Node.html#c:child_type/0"},{"type":"function","title":"Panpipe.AST.Node.child_type/1","doc":"Returns the type of child expected for the given AST `node`.\n\nThis function returns either `:block` or `:inline`.","ref":"Panpipe.AST.Node.html#child_type/1"},{"type":"callback","title":"Panpipe.AST.Node.children/1","doc":"Returns a list of the children of a node.","ref":"Panpipe.AST.Node.html#c:children/1"},{"type":"callback","title":"Panpipe.AST.Node.inline?/0","doc":"Returns if the AST node module represents an inline element.","ref":"Panpipe.AST.Node.html#c:inline?/0"},{"type":"function","title":"Panpipe.AST.Node.inline?/1","doc":"Returns if the given AST `node` is an inline element.","ref":"Panpipe.AST.Node.html#inline?/1"},{"type":"type","title":"Panpipe.AST.Node.t/0","doc":"","ref":"Panpipe.AST.Node.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Node.to_pandoc/1","doc":"Produces the Pandoc AST data structure of the given Panpipe AST `node`.","ref":"Panpipe.AST.Node.html#to_pandoc/1"},{"type":"function","title":"Examples - Panpipe.AST.Node.to_pandoc/1","doc":"iex> %Panpipe.AST.Header{level: 1, children: [%Panpipe.AST.Str{string: \"Example\"}]}\n    ...> |> Panpipe.AST.Node.to_pandoc()\n    %{\n      \"c\" => [1, [\"\", [], []], [%{\"c\" => \"Example\", \"t\" => \"Str\"}]],\n      \"t\" => \"Header\"\n    }","ref":"Panpipe.AST.Node.html#to_pandoc/1-examples"},{"type":"callback","title":"Panpipe.AST.Node.to_pandoc/1","doc":"Produces the Pandoc AST data structure of a Panpipe AST node.","ref":"Panpipe.AST.Node.html#c:to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Node.transform/2","doc":"Transforms the AST under the given Panpipe AST `node` by applying the given transformation function recursively.\n\nThe given function will be passed all nodes in pre-order and will replace those\nnodes for which the transformation function `fun` returns a  non-`nil` replacement\nvalue.\nA node can also be replaced with a sequence of new nodes by returning a list of\nnodes in the transformation function.\nIf you want to remove a node, you can return an empty list or a `Panpipe.AST.Null`\nnode.\n\nThe transformation will be applied recursively also on children of the replaced\nvalues. You can prohibit that by returning the replacement in a halt tuple like\nthis: `{:halt, replacement}`.","ref":"Panpipe.AST.Node.html#transform/2"},{"type":"function","title":"Examples - Panpipe.AST.Node.transform/2","doc":"Panpipe.ast!(input: \"file.md\")\n    |> Panpipe.transform(fn\n       %Panpipe.AST.Header{} = header ->\n         %Panpipe.AST.Header{header | level: header.level + 1}\n       _ -> nil\n     end)\n\n    Panpipe.ast!(input: \"file.md\")\n    |> Panpipe.transform(fn\n       %Panpipe.AST.Header{} = header ->\n         {:halt, %Panpipe.AST.Header{header | level: header.level + 1}}\n       _ -> nil\n     end)","ref":"Panpipe.AST.Node.html#transform/2-examples"},{"type":"callback","title":"Panpipe.AST.Node.transform/2","doc":"Transforms an Panpipe AST node recursively.\n\nsee `Panpipe.AST.Node.transform/2`","ref":"Panpipe.AST.Node.html#c:transform/2"},{"type":"module","title":"Panpipe.AST.Note","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Note`.","ref":"Panpipe.AST.Note.html"},{"type":"function","title":"Panpipe.AST.Note.block?/0","doc":"","ref":"Panpipe.AST.Note.html#block?/0"},{"type":"function","title":"Panpipe.AST.Note.child_type/0","doc":"","ref":"Panpipe.AST.Note.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Note.children/1","doc":"","ref":"Panpipe.AST.Note.html#children/1"},{"type":"function","title":"Panpipe.AST.Note.inline?/0","doc":"","ref":"Panpipe.AST.Note.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Note.t/0","doc":"","ref":"Panpipe.AST.Note.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Note.to_pandoc/1","doc":"","ref":"Panpipe.AST.Note.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Note.transform/2","doc":"","ref":"Panpipe.AST.Note.html#transform/2"},{"type":"module","title":"Panpipe.AST.OrderedList","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `OrderedList`.\n\nThe list elements are stored as `Panpipe.AST.ListElement` structs and the\nlist attributes in a `Panpipe.AST.ListAttributes` struct.","ref":"Panpipe.AST.OrderedList.html"},{"type":"function","title":"Panpipe.AST.OrderedList.block?/0","doc":"","ref":"Panpipe.AST.OrderedList.html#block?/0"},{"type":"function","title":"Panpipe.AST.OrderedList.child_type/0","doc":"","ref":"Panpipe.AST.OrderedList.html#child_type/0"},{"type":"function","title":"Panpipe.AST.OrderedList.children/1","doc":"","ref":"Panpipe.AST.OrderedList.html#children/1"},{"type":"function","title":"Panpipe.AST.OrderedList.inline?/0","doc":"","ref":"Panpipe.AST.OrderedList.html#inline?/0"},{"type":"type","title":"Panpipe.AST.OrderedList.t/0","doc":"","ref":"Panpipe.AST.OrderedList.html#t:t/0"},{"type":"function","title":"Panpipe.AST.OrderedList.to_pandoc/1","doc":"","ref":"Panpipe.AST.OrderedList.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.OrderedList.transform/2","doc":"","ref":"Panpipe.AST.OrderedList.html#transform/2"},{"type":"module","title":"Panpipe.AST.Para","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Para`.","ref":"Panpipe.AST.Para.html"},{"type":"function","title":"Panpipe.AST.Para.block?/0","doc":"","ref":"Panpipe.AST.Para.html#block?/0"},{"type":"function","title":"Panpipe.AST.Para.child_type/0","doc":"","ref":"Panpipe.AST.Para.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Para.children/1","doc":"","ref":"Panpipe.AST.Para.html#children/1"},{"type":"function","title":"Panpipe.AST.Para.inline?/0","doc":"","ref":"Panpipe.AST.Para.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Para.t/0","doc":"","ref":"Panpipe.AST.Para.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Para.to_pandoc/1","doc":"","ref":"Panpipe.AST.Para.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Para.transform/2","doc":"","ref":"Panpipe.AST.Para.html#transform/2"},{"type":"module","title":"Panpipe.AST.Plain","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Plain`.","ref":"Panpipe.AST.Plain.html"},{"type":"function","title":"Panpipe.AST.Plain.block?/0","doc":"","ref":"Panpipe.AST.Plain.html#block?/0"},{"type":"function","title":"Panpipe.AST.Plain.child_type/0","doc":"","ref":"Panpipe.AST.Plain.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Plain.children/1","doc":"","ref":"Panpipe.AST.Plain.html#children/1"},{"type":"function","title":"Panpipe.AST.Plain.inline?/0","doc":"","ref":"Panpipe.AST.Plain.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Plain.t/0","doc":"","ref":"Panpipe.AST.Plain.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Plain.to_pandoc/1","doc":"","ref":"Panpipe.AST.Plain.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Plain.transform/2","doc":"","ref":"Panpipe.AST.Plain.html#transform/2"},{"type":"module","title":"Panpipe.AST.Quoted","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Quoted`.","ref":"Panpipe.AST.Quoted.html"},{"type":"function","title":"Panpipe.AST.Quoted.block?/0","doc":"","ref":"Panpipe.AST.Quoted.html#block?/0"},{"type":"function","title":"Panpipe.AST.Quoted.child_type/0","doc":"","ref":"Panpipe.AST.Quoted.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Quoted.children/1","doc":"","ref":"Panpipe.AST.Quoted.html#children/1"},{"type":"function","title":"Panpipe.AST.Quoted.inline?/0","doc":"","ref":"Panpipe.AST.Quoted.html#inline?/0"},{"type":"function","title":"Panpipe.AST.Quoted.quote_types/0","doc":"The possible values for the `type` field.","ref":"Panpipe.AST.Quoted.html#quote_types/0"},{"type":"type","title":"Panpipe.AST.Quoted.t/0","doc":"","ref":"Panpipe.AST.Quoted.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Quoted.to_pandoc/1","doc":"","ref":"Panpipe.AST.Quoted.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Quoted.transform/2","doc":"","ref":"Panpipe.AST.Quoted.html#transform/2"},{"type":"module","title":"Panpipe.AST.RawBlock","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `RawBlock`.","ref":"Panpipe.AST.RawBlock.html"},{"type":"function","title":"Panpipe.AST.RawBlock.block?/0","doc":"","ref":"Panpipe.AST.RawBlock.html#block?/0"},{"type":"function","title":"Panpipe.AST.RawBlock.child_type/0","doc":"","ref":"Panpipe.AST.RawBlock.html#child_type/0"},{"type":"function","title":"Panpipe.AST.RawBlock.children/1","doc":"","ref":"Panpipe.AST.RawBlock.html#children/1"},{"type":"function","title":"Panpipe.AST.RawBlock.inline?/0","doc":"","ref":"Panpipe.AST.RawBlock.html#inline?/0"},{"type":"type","title":"Panpipe.AST.RawBlock.t/0","doc":"","ref":"Panpipe.AST.RawBlock.html#t:t/0"},{"type":"function","title":"Panpipe.AST.RawBlock.to_pandoc/1","doc":"","ref":"Panpipe.AST.RawBlock.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.RawBlock.transform/2","doc":"","ref":"Panpipe.AST.RawBlock.html#transform/2"},{"type":"module","title":"Panpipe.AST.RawInline","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `RawInline`.","ref":"Panpipe.AST.RawInline.html"},{"type":"function","title":"Panpipe.AST.RawInline.block?/0","doc":"","ref":"Panpipe.AST.RawInline.html#block?/0"},{"type":"function","title":"Panpipe.AST.RawInline.child_type/0","doc":"","ref":"Panpipe.AST.RawInline.html#child_type/0"},{"type":"function","title":"Panpipe.AST.RawInline.children/1","doc":"","ref":"Panpipe.AST.RawInline.html#children/1"},{"type":"function","title":"Panpipe.AST.RawInline.inline?/0","doc":"","ref":"Panpipe.AST.RawInline.html#inline?/0"},{"type":"type","title":"Panpipe.AST.RawInline.t/0","doc":"","ref":"Panpipe.AST.RawInline.html#t:t/0"},{"type":"function","title":"Panpipe.AST.RawInline.to_pandoc/1","doc":"","ref":"Panpipe.AST.RawInline.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.RawInline.transform/2","doc":"","ref":"Panpipe.AST.RawInline.html#transform/2"},{"type":"module","title":"Panpipe.AST.Row","doc":"","ref":"Panpipe.AST.Row.html"},{"type":"function","title":"Panpipe.AST.Row.children/1","doc":"","ref":"Panpipe.AST.Row.html#children/1"},{"type":"function","title":"Panpipe.AST.Row.from_pandoc/1","doc":"","ref":"Panpipe.AST.Row.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.Row.to_pandoc/1","doc":"","ref":"Panpipe.AST.Row.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Row.transform/3","doc":"","ref":"Panpipe.AST.Row.html#transform/3"},{"type":"module","title":"Panpipe.AST.SmallCaps","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Superscript`.","ref":"Panpipe.AST.SmallCaps.html"},{"type":"function","title":"Panpipe.AST.SmallCaps.block?/0","doc":"","ref":"Panpipe.AST.SmallCaps.html#block?/0"},{"type":"function","title":"Panpipe.AST.SmallCaps.child_type/0","doc":"","ref":"Panpipe.AST.SmallCaps.html#child_type/0"},{"type":"function","title":"Panpipe.AST.SmallCaps.children/1","doc":"","ref":"Panpipe.AST.SmallCaps.html#children/1"},{"type":"function","title":"Panpipe.AST.SmallCaps.inline?/0","doc":"","ref":"Panpipe.AST.SmallCaps.html#inline?/0"},{"type":"type","title":"Panpipe.AST.SmallCaps.t/0","doc":"","ref":"Panpipe.AST.SmallCaps.html#t:t/0"},{"type":"function","title":"Panpipe.AST.SmallCaps.to_pandoc/1","doc":"","ref":"Panpipe.AST.SmallCaps.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.SmallCaps.transform/2","doc":"","ref":"Panpipe.AST.SmallCaps.html#transform/2"},{"type":"module","title":"Panpipe.AST.SoftBreak","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `SoftBreak`.","ref":"Panpipe.AST.SoftBreak.html"},{"type":"function","title":"Panpipe.AST.SoftBreak.block?/0","doc":"","ref":"Panpipe.AST.SoftBreak.html#block?/0"},{"type":"function","title":"Panpipe.AST.SoftBreak.child_type/0","doc":"","ref":"Panpipe.AST.SoftBreak.html#child_type/0"},{"type":"function","title":"Panpipe.AST.SoftBreak.children/1","doc":"","ref":"Panpipe.AST.SoftBreak.html#children/1"},{"type":"function","title":"Panpipe.AST.SoftBreak.inline?/0","doc":"","ref":"Panpipe.AST.SoftBreak.html#inline?/0"},{"type":"type","title":"Panpipe.AST.SoftBreak.t/0","doc":"","ref":"Panpipe.AST.SoftBreak.html#t:t/0"},{"type":"function","title":"Panpipe.AST.SoftBreak.to_pandoc/1","doc":"","ref":"Panpipe.AST.SoftBreak.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.SoftBreak.transform/2","doc":"","ref":"Panpipe.AST.SoftBreak.html#transform/2"},{"type":"module","title":"Panpipe.AST.Space","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Space`.","ref":"Panpipe.AST.Space.html"},{"type":"function","title":"Panpipe.AST.Space.block?/0","doc":"","ref":"Panpipe.AST.Space.html#block?/0"},{"type":"function","title":"Panpipe.AST.Space.child_type/0","doc":"","ref":"Panpipe.AST.Space.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Space.children/1","doc":"","ref":"Panpipe.AST.Space.html#children/1"},{"type":"function","title":"Panpipe.AST.Space.inline?/0","doc":"","ref":"Panpipe.AST.Space.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Space.t/0","doc":"","ref":"Panpipe.AST.Space.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Space.to_pandoc/1","doc":"","ref":"Panpipe.AST.Space.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Space.transform/2","doc":"","ref":"Panpipe.AST.Space.html#transform/2"},{"type":"module","title":"Panpipe.AST.Span","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Span`.","ref":"Panpipe.AST.Span.html"},{"type":"function","title":"Panpipe.AST.Span.block?/0","doc":"","ref":"Panpipe.AST.Span.html#block?/0"},{"type":"function","title":"Panpipe.AST.Span.child_type/0","doc":"","ref":"Panpipe.AST.Span.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Span.children/1","doc":"","ref":"Panpipe.AST.Span.html#children/1"},{"type":"function","title":"Panpipe.AST.Span.inline?/0","doc":"","ref":"Panpipe.AST.Span.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Span.t/0","doc":"","ref":"Panpipe.AST.Span.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Span.to_pandoc/1","doc":"","ref":"Panpipe.AST.Span.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Span.transform/2","doc":"","ref":"Panpipe.AST.Span.html#transform/2"},{"type":"module","title":"Panpipe.AST.Str","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Str`.","ref":"Panpipe.AST.Str.html"},{"type":"function","title":"Panpipe.AST.Str.block?/0","doc":"","ref":"Panpipe.AST.Str.html#block?/0"},{"type":"function","title":"Panpipe.AST.Str.child_type/0","doc":"","ref":"Panpipe.AST.Str.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Str.children/1","doc":"","ref":"Panpipe.AST.Str.html#children/1"},{"type":"function","title":"Panpipe.AST.Str.inline?/0","doc":"","ref":"Panpipe.AST.Str.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Str.t/0","doc":"","ref":"Panpipe.AST.Str.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Str.to_pandoc/1","doc":"","ref":"Panpipe.AST.Str.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Str.transform/2","doc":"","ref":"Panpipe.AST.Str.html#transform/2"},{"type":"module","title":"Panpipe.AST.Strikeout","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Strikeout`.","ref":"Panpipe.AST.Strikeout.html"},{"type":"function","title":"Panpipe.AST.Strikeout.block?/0","doc":"","ref":"Panpipe.AST.Strikeout.html#block?/0"},{"type":"function","title":"Panpipe.AST.Strikeout.child_type/0","doc":"","ref":"Panpipe.AST.Strikeout.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Strikeout.children/1","doc":"","ref":"Panpipe.AST.Strikeout.html#children/1"},{"type":"function","title":"Panpipe.AST.Strikeout.inline?/0","doc":"","ref":"Panpipe.AST.Strikeout.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Strikeout.t/0","doc":"","ref":"Panpipe.AST.Strikeout.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Strikeout.to_pandoc/1","doc":"","ref":"Panpipe.AST.Strikeout.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Strikeout.transform/2","doc":"","ref":"Panpipe.AST.Strikeout.html#transform/2"},{"type":"module","title":"Panpipe.AST.Strong","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Strong`.","ref":"Panpipe.AST.Strong.html"},{"type":"function","title":"Panpipe.AST.Strong.block?/0","doc":"","ref":"Panpipe.AST.Strong.html#block?/0"},{"type":"function","title":"Panpipe.AST.Strong.child_type/0","doc":"","ref":"Panpipe.AST.Strong.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Strong.children/1","doc":"","ref":"Panpipe.AST.Strong.html#children/1"},{"type":"function","title":"Panpipe.AST.Strong.inline?/0","doc":"","ref":"Panpipe.AST.Strong.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Strong.t/0","doc":"","ref":"Panpipe.AST.Strong.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Strong.to_pandoc/1","doc":"","ref":"Panpipe.AST.Strong.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Strong.transform/2","doc":"","ref":"Panpipe.AST.Strong.html#transform/2"},{"type":"module","title":"Panpipe.AST.Subscript","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Subscript`.","ref":"Panpipe.AST.Subscript.html"},{"type":"function","title":"Panpipe.AST.Subscript.block?/0","doc":"","ref":"Panpipe.AST.Subscript.html#block?/0"},{"type":"function","title":"Panpipe.AST.Subscript.child_type/0","doc":"","ref":"Panpipe.AST.Subscript.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Subscript.children/1","doc":"","ref":"Panpipe.AST.Subscript.html#children/1"},{"type":"function","title":"Panpipe.AST.Subscript.inline?/0","doc":"","ref":"Panpipe.AST.Subscript.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Subscript.t/0","doc":"","ref":"Panpipe.AST.Subscript.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Subscript.to_pandoc/1","doc":"","ref":"Panpipe.AST.Subscript.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Subscript.transform/2","doc":"","ref":"Panpipe.AST.Subscript.html#transform/2"},{"type":"module","title":"Panpipe.AST.Superscript","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Superscript`.","ref":"Panpipe.AST.Superscript.html"},{"type":"function","title":"Panpipe.AST.Superscript.block?/0","doc":"","ref":"Panpipe.AST.Superscript.html#block?/0"},{"type":"function","title":"Panpipe.AST.Superscript.child_type/0","doc":"","ref":"Panpipe.AST.Superscript.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Superscript.children/1","doc":"","ref":"Panpipe.AST.Superscript.html#children/1"},{"type":"function","title":"Panpipe.AST.Superscript.inline?/0","doc":"","ref":"Panpipe.AST.Superscript.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Superscript.t/0","doc":"","ref":"Panpipe.AST.Superscript.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Superscript.to_pandoc/1","doc":"","ref":"Panpipe.AST.Superscript.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Superscript.transform/2","doc":"","ref":"Panpipe.AST.Superscript.html#transform/2"},{"type":"module","title":"Panpipe.AST.Table","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Table`.","ref":"Panpipe.AST.Table.html"},{"type":"function","title":"Panpipe.AST.Table.block?/0","doc":"","ref":"Panpipe.AST.Table.html#block?/0"},{"type":"function","title":"Panpipe.AST.Table.child_type/0","doc":"","ref":"Panpipe.AST.Table.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Table.children/1","doc":"","ref":"Panpipe.AST.Table.html#children/1"},{"type":"function","title":"Panpipe.AST.Table.inline?/0","doc":"","ref":"Panpipe.AST.Table.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Table.t/0","doc":"","ref":"Panpipe.AST.Table.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Table.to_pandoc/1","doc":"","ref":"Panpipe.AST.Table.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Table.transform/2","doc":"","ref":"Panpipe.AST.Table.html#transform/2"},{"type":"module","title":"Panpipe.AST.TableBody","doc":"","ref":"Panpipe.AST.TableBody.html"},{"type":"function","title":"Panpipe.AST.TableBody.children/1","doc":"","ref":"Panpipe.AST.TableBody.html#children/1"},{"type":"function","title":"Panpipe.AST.TableBody.from_pandoc/1","doc":"","ref":"Panpipe.AST.TableBody.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableBody.to_pandoc/1","doc":"","ref":"Panpipe.AST.TableBody.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableBody.transform/3","doc":"","ref":"Panpipe.AST.TableBody.html#transform/3"},{"type":"module","title":"Panpipe.AST.TableFoot","doc":"","ref":"Panpipe.AST.TableFoot.html"},{"type":"function","title":"Panpipe.AST.TableFoot.children/1","doc":"","ref":"Panpipe.AST.TableFoot.html#children/1"},{"type":"function","title":"Panpipe.AST.TableFoot.from_pandoc/1","doc":"","ref":"Panpipe.AST.TableFoot.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableFoot.to_pandoc/1","doc":"","ref":"Panpipe.AST.TableFoot.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableFoot.transform/3","doc":"","ref":"Panpipe.AST.TableFoot.html#transform/3"},{"type":"module","title":"Panpipe.AST.TableHead","doc":"","ref":"Panpipe.AST.TableHead.html"},{"type":"function","title":"Panpipe.AST.TableHead.children/1","doc":"","ref":"Panpipe.AST.TableHead.html#children/1"},{"type":"function","title":"Panpipe.AST.TableHead.from_pandoc/1","doc":"","ref":"Panpipe.AST.TableHead.html#from_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableHead.to_pandoc/1","doc":"","ref":"Panpipe.AST.TableHead.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.TableHead.transform/3","doc":"","ref":"Panpipe.AST.TableHead.html#transform/3"},{"type":"module","title":"Panpipe.AST.Underline","doc":"A `Panpipe.AST.Node` for nodes of the Pandoc AST with the type `Underline`.","ref":"Panpipe.AST.Underline.html"},{"type":"function","title":"Panpipe.AST.Underline.block?/0","doc":"","ref":"Panpipe.AST.Underline.html#block?/0"},{"type":"function","title":"Panpipe.AST.Underline.child_type/0","doc":"","ref":"Panpipe.AST.Underline.html#child_type/0"},{"type":"function","title":"Panpipe.AST.Underline.children/1","doc":"","ref":"Panpipe.AST.Underline.html#children/1"},{"type":"function","title":"Panpipe.AST.Underline.inline?/0","doc":"","ref":"Panpipe.AST.Underline.html#inline?/0"},{"type":"type","title":"Panpipe.AST.Underline.t/0","doc":"","ref":"Panpipe.AST.Underline.html#t:t/0"},{"type":"function","title":"Panpipe.AST.Underline.to_pandoc/1","doc":"","ref":"Panpipe.AST.Underline.html#to_pandoc/1"},{"type":"function","title":"Panpipe.AST.Underline.transform/2","doc":"","ref":"Panpipe.AST.Underline.html#transform/2"},{"type":"module","title":"Panpipe.Document","doc":"The root `Panpipe.AST.Node`.","ref":"Panpipe.Document.html"},{"type":"function","title":"Panpipe.Document.block?/0","doc":"","ref":"Panpipe.Document.html#block?/0"},{"type":"function","title":"Panpipe.Document.child_type/0","doc":"","ref":"Panpipe.Document.html#child_type/0"},{"type":"function","title":"Panpipe.Document.children/1","doc":"","ref":"Panpipe.Document.html#children/1"},{"type":"function","title":"Panpipe.Document.fragment/1","doc":"Creates a document fragment from the given `node`.","ref":"Panpipe.Document.html#fragment/1"},{"type":"function","title":"Panpipe.Document.inline?/0","doc":"","ref":"Panpipe.Document.html#inline?/0"},{"type":"type","title":"Panpipe.Document.t/0","doc":"","ref":"Panpipe.Document.html#t:t/0"},{"type":"function","title":"Panpipe.Document.to_pandoc/1","doc":"","ref":"Panpipe.Document.html#to_pandoc/1"},{"type":"function","title":"Panpipe.Document.transform/2","doc":"","ref":"Panpipe.Document.html#transform/2"},{"type":"module","title":"Panpipe.Pandoc","doc":"Wrapper around the `pandoc` CLI.\n\nSee the [Pandoc Manual](https://pandoc.org/MANUAL.html).","ref":"Panpipe.Pandoc.html"},{"type":"function","title":"Panpipe.Pandoc.api_version/0","doc":"The Pandoc API version against which Panpipe operates.\n\nThis version will be used in the generated Pandoc documents.","ref":"Panpipe.Pandoc.html#api_version/0"},{"type":"function","title":"Panpipe.Pandoc.ast/2","doc":"Returns the Pandoc AST of the input.","ref":"Panpipe.Pandoc.html#ast/2"},{"type":"function","title":"Panpipe.Pandoc.ast!/2","doc":"Calls `ast/2` and delivers the result directly in success case, otherwise raises an error.","ref":"Panpipe.Pandoc.html#ast!/2"},{"type":"function","title":"Panpipe.Pandoc.call/2","doc":"Calls the `pandoc` command.\n\nFor a description of the arguments refer to the [Pandoc User’s Guide](http://pandoc.org/MANUAL.html).\n\nYou can provide any of Pandoc's supported options in their long form without\nthe leading double dashes and all other dashes replaced by underscores.\n\nOther than that, the only difference are a couple of default values:\n\n- Input is provided either directly as a string of content as the first argument\n  or via the `input` option when it is a path to a file\n- Extensions for the input and output format can be specified by providing a\n  tuple with the format and either a list of extensions to be enabled or a map\n  with the keys `enable` and `disable`.\n- Flag options must provide a `true` value, eg. the `standalone` option can be set\n  with the option `standalone: true`","ref":"Panpipe.Pandoc.html#call/2"},{"type":"function","title":"Examples - Panpipe.Pandoc.call/2","doc":"iex> \"# A Markdown Document\\nLorem ipsum\" |> Panpipe.Pandoc.call()\n    {:ok, ~s[ A Markdown Document \\n Lorem ipsum \\n]}\n\n    iex> \"# A Markdown Document\\n...\" |> Panpipe.Pandoc.call(output: \"test/output/example.html\")\n    {:ok, nil}\n\n    iex> Panpipe.Pandoc.call(input: \"test/fixtures/example.md\")\n    {:ok, ~s[ A Markdown Document \\n Lorem ipsum \\n]}\n\n    iex> Panpipe.Pandoc.call(input: \"test/fixtures/example.md\", output: \"test/output/example.html\")\n    {:ok, nil}","ref":"Panpipe.Pandoc.html#call/2-examples"},{"type":"function","title":"Panpipe.Pandoc.call!/2","doc":"Calls `call/2` and delivers the result directly in success case, otherwise raises an error.","ref":"Panpipe.Pandoc.html#call!/2"},{"type":"function","title":"Panpipe.Pandoc.data_dir/0","doc":"The data directory of the Pandoc runtime Panpipe is using.","ref":"Panpipe.Pandoc.html#data_dir/0"},{"type":"function","title":"Panpipe.Pandoc.extensions/0","doc":"The list of available Pandoc extension.","ref":"Panpipe.Pandoc.html#extensions/0"},{"type":"function","title":"Panpipe.Pandoc.highlight_languages/0","doc":"The list of languages for which Pandoc supports syntax highlighting in code blocks.","ref":"Panpipe.Pandoc.html#highlight_languages/0"},{"type":"function","title":"Panpipe.Pandoc.highlight_styles/0","doc":"The list of highlighting styles supported by Pandoc.","ref":"Panpipe.Pandoc.html#highlight_styles/0"},{"type":"function","title":"Panpipe.Pandoc.input_formats/0","doc":"The list of input formats supported by Pandoc.","ref":"Panpipe.Pandoc.html#input_formats/0"},{"type":"function","title":"Panpipe.Pandoc.output_formats/0","doc":"The list of output formats supported by Pandoc.","ref":"Panpipe.Pandoc.html#output_formats/0"},{"type":"function","title":"Panpipe.Pandoc.version/0","doc":"The version of the Pandoc runtime Panpipe is using.","ref":"Panpipe.Pandoc.html#version/0"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nThis project adheres to [Semantic Versioning](http://semver.org/) and\n[Keep a CHANGELOG](http://keepachangelog.com).","ref":"changelog.html"},{"type":"extras","title":"v0.3.1 - 2025-01-24 - Change Log","doc":"","ref":"changelog.html#v0-3-1-2025-01-24"},{"type":"extras","title":"Added - Change Log","doc":"- support for formats of latest Pandoc version 3.6\n- type `t` on all AST node structs","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Change Log","doc":"- Replace no longer maintained Rambo dependency with Exile\n\n\n[Compare v0.3.0...v0.3.1](https://github.com/marcelotto/panpipe/compare/v0.3.0...v0.3.1)","ref":"changelog.html#changed"},{"type":"extras","title":"v0.3.0 - 2023-08-18 - Change Log","doc":"This version upgrades to the latest Pandoc version 3.0 with API version 1.23.","ref":"changelog.html#v0-3-0-2023-08-18"},{"type":"extras","title":"Added - Change Log","doc":"- Add new AST node struct `Panpipe.AST.Figure`","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Change Log","doc":"- Remove obsolete `Panpipe.AST.Null` AST node struct","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Change Log","doc":"- bug in AST traversal of tables\n\n\n[Compare v0.2.0...v0.3.0](https://github.com/marcelotto/panpipe/compare/v0.2.0...v0.3.0)","ref":"changelog.html#fixed"},{"type":"extras","title":"v0.2.0 - 2021-06-14 - Change Log","doc":"This version upgrades to the latest Pandoc version 2.14 with API version 1.22.","ref":"changelog.html#v0-2-0-2021-06-14"},{"type":"extras","title":"Added - Change Log","doc":"- Add new AST node struct `Panpipe.AST.Underline`","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Change Log","doc":"- Adapt to the completely redesigned AST structure for tables\n\n[Compare v0.1.1...v0.2.0](https://github.com/marcelotto/panpipe/compare/v0.1.1...v0.2.0)","ref":"changelog.html#changed"},{"type":"extras","title":"v0.1.1 - 2019-10-16 - Change Log","doc":"","ref":"changelog.html#v0-1-1-2019-10-16"},{"type":"extras","title":"Changed - Change Log","doc":"- Replaced Porcelain with Rambo dependency - This means the separate Goon \n  executable is no longer required to be installed.\n\n[Compare v0.1.0...v0.1.1](https://github.com/marcelotto/panpipe/compare/v0.1.0...v0.1.1)","ref":"changelog.html#changed"},{"type":"extras","title":"v0.1.0 - 2019-08-19 - Change Log","doc":"Initial release","ref":"changelog.html#v0-1-0-2019-08-19"},{"type":"extras","title":"Panpipe","doc":"# Panpipe\n\n[![Hex.pm](https://img.shields.io/hexpm/v/panpipe.svg?style=flat-square)](https://hex.pm/packages/panpipe)\n[![License](https://img.shields.io/hexpm/l/panpipe.svg)](https://github.com/marcelotto/panpipe/blob/master/LICENSE.md)\n\n[![ExUnit Tests](https://github.com/marcelotto/panpipe/actions/workflows/elixir-build-and-test.yml/badge.svg)](https://github.com/marcelotto/panpipe/actions/workflows/elixir-build-and-test.yml)\n[![Quality Checks](https://github.com/marcelotto/panpipe/actions/workflows/elixir-quality-checks.yml/badge.svg)](https://github.com/marcelotto/panpipe/actions/workflows/elixir-quality-checks.yml)\n\n\nAn Elixir wrapper around [Pandoc].","ref":"readme.html"},{"type":"extras","title":"Features - Panpipe","doc":"- convenient ways to call the `pandoc` functions from Elixir\n- Elixir structs for the [Pandoc AST] - a read and writeable Markdown AST\n- ways to traverse and transform the AST via Elixir pattern matching (and pipes maybe)\n- ... everything you need to write [Pandoc filters] with Elixir","ref":"readme.html#features"},{"type":"extras","title":"Installation - Panpipe","doc":"You'll need to have [Pandoc installed](https://pandoc.org/installing.html). \n\nThe Hex package can then be installed by adding `panpipe` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:panpipe, \"~> 0.3\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Panpipe","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Calling Pandoc - Panpipe","doc":"Pandoc can be called with the `Panpipe.pandoc/2` function. Generally it takes the long-form arguments of Pandoc as the usual Keyword list options with dashes replaced by underscores, but there are a couple of differences. First, the input is either provided directly as a string as the first argument or when the input is another file via the `input` option.\n\n```elixir\niex> Panpipe.pandoc(\"# Example doc\", to: :latex)\n{:ok, \"\\\\hypertarget{example-doc}{%\\n\\\\section{Example doc}\\\\label{example-doc}}\\n\"}\niex> Panpipe.pandoc(input: \"file.md\", output: \"output.tex\")\n{:ok, nil}\niex> Panpipe.pandoc(input: \"file.md\", output: \"output.pdf\", pdf_engine: :xelatex, variable: \"linkcolor=blue\")\n```\n\nAs you can see the `Panpipe.pandoc/2` returns an ok tuple in the success with the result as string if no output file is specified, or `nil` if the output was written to a file. If want directly get the result and fail in error cases, you can use the `Panpipe.pandoc!/2` function.\n\nExtensions for the input and output format can be specified by providing a tuple with the format and either a list of extensions to be enabled or a map with the keys `enable` and `disable`.\n\n``` elixir\nPanpipe.pandoc(\"# Example doc\", \n  from: {:markdown, [:emoji]}, \n  to: {:html, %{enable: [:emoji], disable: [:raw_html, :raw_attribute]}}\n)\n```\n\nAnother difference is that flag arguments of Pandoc must be provided as an option with the value `true`.\n\n```elixir\nPanpipe.pandoc(\"# Example doc\", to: :html, standalone: true)\n```\n\nYou can also call Pandoc with a specific output format with the `Panpipe.to_ /2` functions, which are available for every output format supported by Pandoc. Other than setting the `to` option they are just a `Panpipe.pandoc/2` call taking the same arguments.\n\n```elixir\nPanpipe.to_latex(\"# Example doc\")\n\n\"# Example doc\"\n|> Panpipe.to_html(standalone: true)\n```","ref":"readme.html#calling-pandoc"},{"type":"extras","title":"The Panpipe AST - Panpipe","doc":"You can get an AST representation of some input with the `Panpipe.ast/2` or `Panpipe.ast!/2` functions. The input and Pandoc options can be given in the same way as for the `Panpipe.pandoc/2` function described above. \n\n```elixir\niex> Panpipe.ast(\"# Example doc\")\n{:ok,\n %Panpipe.Document{\n   children: [\n     %Panpipe.AST.Header{\n       attr: %Panpipe.AST.Attr{\n         classes: [],\n         identifier: \"example-doc\",\n         key_value_pairs: %{}\n       },\n       children: [\n         %Panpipe.AST.Str{parent: nil, string: \"Example\"},\n         %Panpipe.AST.Space{parent: nil},\n         %Panpipe.AST.Str{parent: nil, string: \"doc\"}\n       ],\n       level: 1,\n       parent: nil\n     }\n   ],\n   meta: nil,\n   parent: nil\n }}\n```\n\nThe AST structure is an exact representation of the Pandoc AST returned during the conversion to JSON, but in nice Elixir structs for the nodes. \n\nIt can be traversed by using Elixirs `Enumerable` protocol which is implemented by all AST nodes and will yield the nodes in pre-order.\n\n```elixir\nPanpipe.ast!(input: \"file.md\")\n|> Enum.filter(fn node -> match?(%Panpipe.AST.Link{}, node) end)\n|> Enum.map(fn %Panpipe.AST.Link{target: target} -> target end)\n```\n\nThe AST can be transformed with the `Panpipe.transform/2` function. The transformation will be called with all nodes and replace the result with result value unless it is `nil`. Here's an example showing how to increase the level of all headers:\n\n```elixir\nPanpipe.ast!(input: \"file.md\")\n|> Panpipe.transform(fn \n     %Panpipe.AST.Header{} = header ->\n       %Panpipe.AST.Header{header | level: header.level + 1}\n     _ -> nil\n   end)\n```\n\nIt's also possible to replace a single node with a sequence of new nodes by returning a list of nodes in the transformation function.\n\nYou may have noted the `parent` member in the AST example above. This is something not present in the original Pandoc AST representation. All of the nodes in the AST returned by `Panpipe.ast/2` have `nil` as the `parent` value. But the nodes emitted during traversal with the `Enumerable` protocol and on the `Panpipe.transform/2` function will have set this field to the respective parent node (but not recursively up to the root), which gives an additional criterion to pattern match on.","ref":"readme.html#the-panpipe-ast"},{"type":"extras","title":"Contributing - Panpipe","doc":"see [CONTRIBUTING](CONTRIBUTING.md) for details.","ref":"readme.html#contributing"},{"type":"extras","title":"License and Copyright - Panpipe","doc":"(c) 2019-present Marcel Otto. MIT Licensed, see [LICENSE](LICENSE.md) for details.\n\n\n[Pandoc]:           https://pandoc.org/\n[Pandoc filters]:   https://pandoc.org/filters.html\n[Pandoc AST]:       http://hackage.haskell.org/package/pandoc-types/docs/Text-Pandoc-Definition.html","ref":"readme.html#license-and-copyright"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}